package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ServiceTypeDetail;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.ServiceTypeDetailMapper")
public interface ServiceTypeDetailMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ServiceTypeDetail record);

    ServiceTypeDetail selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ServiceTypeDetail record);

    List<ServiceTypeDetail> queryAllServiceTypeDetail(ServiceTypeDetail record);

    List<ServiceTypeDetail> queryServiceTypeDetailByPage(Map<String, Object> parameter);

    int delete(String id);

    ServiceTypeDetail queryServiceTypeDetail(ServiceTypeDetail record);

    List<ServiceTypeDetail> query(ServiceTypeDetail record);
}

